package schedframe.resources;


public class ResourceTypeFactory {
	
	public static ResourceType createResourceType(String typeName){

		if(typeName.equals(StandardResourceType.Grid.getName()))
			return StandardResourceType.Grid;
		
		else if (typeName.equals(StandardResourceType.DataCenter.getName()))
			return StandardResourceType.DataCenter;
		
		else if (typeName.equals(StandardResourceType.Rack.getName()))
			return StandardResourceType.Rack;

		else if (typeName.equals(StandardResourceType.Node.getName()))
			return StandardResourceType.Node;
		
		else if (typeName.equals(StandardResourceType.Processor.getName()))
			return StandardResourceType.Processor;
		
		else if (typeName.equals(StandardResourceType.Core.getName()))
			return StandardResourceType.Core;
		
		else if (typeName.equals(CoolEmAllResourceType.ComputeBox2.getName()))
			return CoolEmAllResourceType.ComputeBox2;
		
		else if (typeName.equals(CoolEmAllResourceType.ComputeBox1.getName()))
			return CoolEmAllResourceType.ComputeBox1;
		
		else if (typeName.equals(CoolEmAllResourceType.NodeGroup.getName()))
			return CoolEmAllResourceType.NodeGroup;
		
		else if (typeName.equals(StandardResourceType.CRAH.getName()))
			return StandardResourceType.CRAH;
		
		else if (typeName.equals(StandardResourceType.Fan.getName()))
			return StandardResourceType.Fan;
		
		else if (typeName.equals(StandardResourceType.Inlet.getName()))
			return StandardResourceType.Inlet;
		
		else if (typeName.equals(StandardResourceType.Outlet.getName()))
			return StandardResourceType.Outlet;
		
		else if (typeName.equals(StandardResourceType.CoolingDevice.getName()))
			return StandardResourceType.CoolingDevice;
		
		else if (typeName.equals(StandardResourceType.Heatsink.getName()))
			return StandardResourceType.Heatsink;
		
		else if (typeName.equals(StandardResourceType.ResourceProvider.getName()))
			return StandardResourceType.ResourceProvider;
		
		else if (typeName.equals(StandardResourceType.GS.getName()))
			return StandardResourceType.GS;
		
		else if (typeName.equals(StandardResourceType.LS.getName()))
			return StandardResourceType.LS;
		
		return new UserResourceType(typeName);
	}
}
