package schedframe.resources.computing.coolemall;

import java.util.List;

import schedframe.resources.CoolEmAllResourceType;
import schedframe.resources.StandardResourceType;
import schedframe.resources.computing.ComputingNode;
import schedframe.resources.computing.Rack;
import schedframe.resources.computing.description.ComputingResourceDescription;

public class ComputeBox1 extends Rack{
	
	public ComputeBox1(ComputingResourceDescription resDesc) {
		super(resDesc);
	}

	@SuppressWarnings("unchecked")
	public List<NodeGroup> getNodesGroups(){
		return (List<NodeGroup>) getDescendantsByType(CoolEmAllResourceType.NodeGroup);
	}
	
	@SuppressWarnings("unchecked")
	public List<ComputingNode> getNodes(){
		return (List<ComputingNode>) getDescendantsByType(StandardResourceType.Node);
	}


}
